languageCode:           "en"
title:                  "Bootstrap"
baseURL:                "https://getbootstrap.com"

security:
  enableInlineShortcodes: true
  funcs:
    getenv:
      - ^HUGO_
      - NETLIFY

markup:
  goldmark:
    renderer:
      unsafe:           true
  highlight:
    noClasses:          false
  tableOfContents:
    startLevel:         2
    endLevel:           6

buildDrafts:            true
buildFuture:            true

enableRobotsTXT:        true
metaDataFormat:         "yaml"
disableKinds:           ["404", "taxonomy", "term", "RSS"]

publishDir:             "_site"

module:
  mounts:
    - source:           dist
      target:           static/docs/5.2/dist
    - source:           site/assets
      target:           assets
    - source:           site/content
      target:           content
    - source:           site/data
      target:           data
    - source:           site/layouts
      target:           layouts
    - source:           site/static
      target:           static
    - source:           site/static/docs/5.2/assets/img/favicons/apple-touch-icon.png
      target:           static/apple-touch-icon.png
    - source:           site/static/docs/5.2/assets/img/favicons/favicon.ico
      target:           static/favicon.ico

params:
  description:          "The most popular HTML, CSS, and JS library in the world."
  authors:              "Mark Otto, Jacob Thornton, and Bootstrap contributors"
  social_image_path:    /docs/5.2/assets/brand/bootstrap-social.png
  social_logo_path:     /docs/5.2/assets/brand/bootstrap-social-logo.png

  current_version:      "5.2.0"
  current_ruby_version: "5.2.0"
  docs_version:         "5.2"
  rfs_version:          "v9.0.6"
  github_org:           "https://github.com/twbs"
  repo:                 "https://github.com/twbs/bootstrap"
  twitter:              "getbootstrap"
  slack:                "https://bootstrap-slack.herokuapp.com/"
  opencollective:       "https://opencollective.com/bootstrap"
  blog:                 "https://blog.getbootstrap.com/"
  themes:               "https://themes.getbootstrap.com/"
  icons:                "https://icons.getbootstrap.com/"
  swag:                 "https://cottonbureau.com/people/bootstrap"

  download:
    source:             "https://github.com/twbs/bootstrap/archive/v5.2.0.zip"
    dist:               "https://github.com/twbs/bootstrap/releases/download/v5.2.0/bootstrap-5.2.0-dist.zip"
    dist_examples:      "https://github.com/twbs/bootstrap/releases/download/v5.2.0/bootstrap-5.2.0-examples.zip"

  cdn:
    # See https://www.srihash.org for info on how to generate the hashes
    css:              "https://cdn.jsdelivr.net/npm/bootstrap@5.2.0/dist/css/bootstrap.min.css"
    css_hash:         "sha384-gH2yIJqKdNHPEq0n4Mqa/HGKIhSkIHeL5AyhkYV8i59U5AR6csBvApHHNl/vI1Bx"
    css_rtl:          "https://cdn.jsdelivr.net/npm/bootstrap@5.2.0/dist/css/bootstrap.rtl.min.css"
    css_rtl_hash:     "sha384-+4j30LffJ4tgIMrq9CwHvn0NjEvmuDCOfk6Rpg2xg7zgOxWWtLtozDEEVvBPgHqE"
    js:               "https://cdn.jsdelivr.net/npm/bootstrap@5.2.0/dist/js/bootstrap.min.js"
    js_hash:          "sha384-ODmDIVzN+pFdexxHEHFBQH3/9/vQ9uori45z4JjnFsRydbmQbmL5t1tQ0culUzyK"
    js_bundle:        "https://cdn.jsdelivr.net/npm/bootstrap@5.2.0/dist/js/bootstrap.bundle.min.js"
    js_bundle_hash:   "sha384-A3rJD856KowSb7dwlZdYEkO39Gagi7vIsF0jrRAoQmDKKtQBHUuLZ9AsSv4jD4Xa"
    popper:           "https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.5/dist/umd/popper.min.js"
    popper_hash:      "sha384-Xe+8cL9oJa6tN/veChSP7q+mnSPaj5Bcu9mPX5F5xIGE0DVittaqT5lorf0EI7Vk"

  anchors:
    min: 2
    max: 5
